(function ($) {
    function normalizeAttrName(attr) {
        return attr.toLowerCase();
    }

    $.fn.extend({
        toggleAttr: function toggleAttr(attr, turnOn) {
            var normAttr = normalizeAttrName(attr);
            var justToggle = typeof turnOn === "undefined";

            return this.each(function (i, e) {
                var $this = $(e);

                if (justToggle && !$this.is("[" + normAttr + "]") || !justToggle && turnOn) {
                    $this.attr(normAttr, normAttr);
                } else {
                    $this.removeAttr(normAttr);
                }
            });
        }
    });
})(jQuery);